<?php

namespace BusinessClass;

class ListBoxQuestion extends BoxQuestion
{
    /**
     * @param array $possibleResponses
     * @param string $content
     * @param array $categories
     * @param int $id
     */
    public function __construct(array $possibleResponses, string $content, array $categories, int $id)
    {
        parent::__construct($possibleResponses, $content, $categories, $id);
    }

    public function responseStrategy()
    {
        // TODO: Implement responseStrategy() method.
    }

    public function printStrategy(): string
    {
        $content = $this->getContent();
        $possibleResponses = $this->getPossibleResponses();
        $categories = $this->getCategories();

        $html = "\t\t\t<div class='question'>
                <label>$content</label>
                <select name='answers[]'>\n";

        for($i = 0; $i < count($possibleResponses); $i++)
        {
            $categoriesAndResponsesSplit = $possibleResponses[$i]."_";
            foreach ($categories[$i] as $category)
            {
                $categoriesAndResponsesSplit.= $category."_";
            }
            $html.= "\t\t\t\t\t<option value='$categoriesAndResponsesSplit'>$possibleResponses[$i]</option>\n";
        }
        $html.= "\t\t\t\t</select>
            </div>\n";

        return $html;
    }
}
